%define have_oracle 0

%define _l_prefix %{_prefix}
%define _l_libdir %{_l_prefix}/%{_lib}

Summary: A GUI-based database development program.
Name: tora
Version: 1.3.9.2
Release: 1
Source: http://prdownloads.sourceforge.net/tora/tora-alpha-%{version}.tar.gz
License: GPL
URL: http://www.globecom.se/tora/
Group: Applications/Databases
BuildRequires: gcc-c++
BuildRequires: qt-devel kdelibs-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
Tora ("Toolkit for Oracle") is a GUI-based database development program, 
offering SQL worksheets and a database browser.
%if !%{have_oracle}
Please note that the Oracle plugin is not shipped.
%endif
The application uses plugins for its "connection providers"; make sure you
have qt-ODBC installed, plus qt-MySQL or qt-PostgreSQL if you use mysql or
postgresql databases.

%if %{have_oracle}
%package oracle
Summary: Oracle specific plugins for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
BuildRequires: libwtc8.so libclntsh.so.8.0
%description oracle
Oracle specific plugins for %{name}.
%endif

%prep
%setup -q

%build
unset QTDIR || :
. /etc/profile.d/qt.sh
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{_l_prefix} \
    --prefix-bin=%{_l_prefix}/bin \
    --prefix-lib=%{_l_libdir} \
%if !%{have_oracle}
    --without-oracle \
    --without-rpath \
%endif
    --without-mysql \
    --with-kde-include=%{_includedir}/kde \
    --with-kde-libs=%{_libdir} \
    --with-qt=$QTDIR \
    --with-qt-moc=$QTDIR/bin/moc \
    --with-qt-uic=$QTDIR/bin/uic \
    --with-rpm-contents=%{_l_libdir}
make
%{__strip} plugins/*tso tora

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_l_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_l_libdir}
make ROOT=$RPM_BUILD_ROOT install
# Install the desktop links
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install --vendor net --delete-original     \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications       \
    --add-category X-Red-Hat-Extra                      \
    --add-category Application                          \
    --add-category Development                          \
    rpm/tora.desktop
# the default Makefile installs desktop links into a different location
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
# Install icons
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps
install -m644 icons/tora.xpm \
    ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/tora.xpm
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps
install -m644 icons/toramini.xpm \
    ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/tora.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpmcommon
%defattr(-,root,root)
%doc BUGS INSTALL LICENSE.txt NEWS README TODO
%doc help/*
%{_l_prefix}/bin/*
%dir %{_l_libdir}/tora
%dir %{_l_libdir}/tora/help
%{_l_libdir}/tora/help/*
%{_l_libdir}/tora/*.qm
%{_l_libdir}/tora/*.tpl
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/16x16/apps/tora.xpm
%{_datadir}/icons/hicolor/32x32/apps/tora.xpm

%if %{have_oracle}
%files oracle -f rpmoracle
%defattr(-,root,root)
%endif

%changelog
* Mon Feb 17 2003 Mihai Ibanescu <misa@redhat.com> 1.3.9.1-2
- New version is out.

* Thu Feb 13 2003 Mihai Ibanescu <misa@redhat.com> 1.3.9.1-1
- New version is out.

* Mon Feb 10 2003 Mihai Ibanescu <misa@redhat.com> 1.3.9-1
- New version is out.

* Mon Feb  3 2003 Mihai Ibanescu <misa@redhat.com> 1.3.8-6
- Install the icons too
- Added BuildRequires: gcc-c++

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1.3.8-5
- rebuild

* Sun Jan 12 2003 Mihai Ibanescu <misa@redhat.com> 1.3.8-4
- Fixed bug #81642: Menu entry in wrong location

* Mon Nov 25 2002 Mihai Ibanescu <misa@redhat.com>
- Release 2: Compiling without rpath for non-Oracle builds
- Release 3: Changed the group of qsql to Development/Libraries
- Release 4: Merging back tora and tora-qsql, and adding more documentation in
  the description section.

* Thu Nov 21 2002 Mihai Ibanescu <misa@redhat.com>
1.3.8-1
- Disabled mysql support (compiling it as shared will not work, 
  mysql is enabled through the qsql plugin with qt > 3.0 anyway)
- Inspired more from the upstream spec file for certain things
- Packaged the menu entry, icons and translation files

* Mon Aug 12 2002 Tim Powers <timp@redhat.com>
- rebuilt with gcc-3.2

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-2
- Rebuild

* Wed Jul 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-1
- 1.3.6.1

* Wed Jul  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6-1
- 1.3.6

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.5.1-1
- 1.3,5.1. Development release, and we now get support for PostgreSQL

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.2.3-2
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.3-1
- 1.2.3, a minor bug fix release

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.2-2
- Add patch to fix compilation with KDE 3.x/Qt 3.x

* Tue Feb  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.2-1
- Initial build.


